Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1815567 - CMake import targets broken
Summary: CMake import targets broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: librealsense
Version: 32
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Till Hofmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-20 15:30 UTC by Christopher N. Hesse
Modified: 2020-04-02 09:54 UTC (History)
1 user (show)

Fixed In Version: librealsense-2.33.1-3.fc33 librealsense-2.31.0-3.fc32 librealsense-2.23.0-3.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-01 00:18:07 UTC
Type: Bug


Attachments (Terms of Use)

Description Christopher N. Hesse 2020-03-20 15:30:47 UTC
Description of problem:
CMake cannot be used to configure realsense(2) because of wrong import targets. The same issue was present in Fedora 31 (and possibly before that, too).

Version-Release number of selected component (if applicable):
2.31.0-2.fc32

How reproducible:
Always

Steps to Reproduce:
1. setup a simple CMake project
2. find_package(realsense2)

Actual results:
Running /usr/bin/cmake /home/chris/workspace/uni/realstream '-GCodeBlocks - Ninja' -DCMAKE_BUILD_TYPE:STRING=Debug -DCMAKE_CXX_COMPILER:STRING=/usr/lib64/ccache/g++ -DCMAKE_C_COMPILER:STRING=/usr/lib64/ccache/gcc -DCMAKE_PREFIX_PATH:STRING= -DQT_QMAKE_EXECUTABLE:STRING=/usr/bin/qmake-qt5.sh in /home/chris/workspace/uni/build-realstream-Desktop-Debug.
CMake Error at /usr/lib64/cmake/realsense2/realsense2Targets.cmake:83 (message):
  The imported target "realsense2::realsense-file" references the file

     "/usr/lib64/librealsense-file.a"

  but this file does not exist.  Possible reasons include:

  * The file was deleted, renamed, or moved to another location.

  * An install or uninstall procedure did not complete successfully.

  * The installation package was faulty and contained

     "/usr/lib64/cmake/realsense2/realsense2Targets.cmake"

  but not all the files it references.

Call Stack (most recent call first):
  /usr/lib64/cmake/realsense2/realsense2Config.cmake:45 (include)
  src/lib/CMakeLists.txt:35 (find_package)

Expected results:
CMake should not try to import the static lib as that is not installed by the Fedora -devel package.

Comment 1 Christopher N. Hesse 2020-03-24 12:01:09 UTC
Thank you, I was carrying the same patch locally.
Will you backport this fix to F32 and F31?

Comment 2 Till Hofmann 2020-03-24 12:37:22 UTC
Yes, it's currently building for F32 and for the module, which contains packages for all Fedora releases. I'll follow up with F31.

I'll post the updates here.

Comment 3 Fedora Update System 2020-03-24 14:21:42 UTC
FEDORA-2020-c822954c9c has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c822954c9c

Comment 4 Fedora Update System 2020-03-24 14:22:04 UTC
FEDORA-2020-c78e6369ad has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c78e6369ad

Comment 5 Fedora Update System 2020-03-24 15:52:35 UTC
FEDORA-MODULAR-2020-cbfd215e18 has been submitted as an update to Fedora 32 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-cbfd215e18

Comment 6 Fedora Update System 2020-03-24 15:52:39 UTC
FEDORA-MODULAR-2020-e2cb3b53af has been submitted as an update to Fedora 30 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-e2cb3b53af

Comment 7 Fedora Update System 2020-03-24 19:55:21 UTC
FEDORA-2020-c822954c9c has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-c822954c9c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c822954c9c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-03-25 09:49:56 UTC
FEDORA-2020-c78e6369ad has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-c78e6369ad`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c78e6369ad

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-03-25 11:15:45 UTC
FEDORA-MODULAR-2020-cbfd215e18 has been pushed to the Fedora 32 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-cbfd215e18

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-03-25 11:15:46 UTC
FEDORA-MODULAR-2020-d9b792b28d has been pushed to the Fedora 31 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-d9b792b28d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-03-25 11:15:48 UTC
FEDORA-MODULAR-2020-e2cb3b53af has been pushed to the Fedora 30 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-e2cb3b53af

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-04-01 00:18:07 UTC
FEDORA-2020-c822954c9c has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-04-01 16:32:52 UTC
FEDORA-2020-c822954c9c has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-04-02 01:50:40 UTC
FEDORA-MODULAR-2020-d9b792b28d has been pushed to the Fedora 31 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-04-02 02:02:01 UTC
FEDORA-MODULAR-2020-cbfd215e18 has been pushed to the Fedora 32 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-04-02 02:28:33 UTC
FEDORA-MODULAR-2020-e2cb3b53af has been pushed to the Fedora 30 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2020-04-02 09:54:54 UTC
FEDORA-2020-c78e6369ad has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.